function getTodayDate() {
  var date = new Date(),
      mm = date.getMonth() + 1,
      dd = date.getDate();
  return [
    (dd > 9 ? '' : '0') + dd,
    (mm > 9 ? '' : '0') + mm,
    date.getFullYear()
  ].join('-');
}

function insertDate() {
  var doc = app.activeDocument;
  var currentDate = getTodayDate();
  if (app.selection.length && app.selection[0].typename === 'TextFrame') {
    app.selection[0].contents = currentDate; // Выделен текстовый объект
  } else {
    var textFrame = doc.textFrames.add();
    textFrame.contents = currentDate; // Не выбран текстовый объект
  }
}

insertDate();